Bug 611628 - Keyboard is SNAFU with remote desktop
Summary: Keyboard is SNAFU with remote desktop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdenetwork
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: kde-4.5
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-06 00:57 UTC by Gary Baribault
Modified: 2010-11-04 23:38 UTC (History)
13 users (show)

Fixed In Version: akonadi-1.4.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 23:38:43 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 182073 None None None Never

Description Gary Baribault 2010-07-06 00:57:07 UTC
Description of problem:
When using VNCClient or KRDC to access a Fedora 13 remote desktop the keyboard repeats at random and the shift keys are ineffective.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. enable remote desktop
2. Access with client
3. test keyboard
  
Actual results:
Shift key is snafu and keyboard repeats

Expected results:
keyboard works right

Additional info:

Comment 1 Anthony Messina 2010-07-06 22:42:24 UTC
I experience the same issues using KRDC to KRFB in KDE (Fedora 12 & 13).

Comment 2 Adam Tkac 2010-07-12 14:57:26 UTC
(In reply to comment #0)
> Description of problem:
> When using VNCClient or KRDC to access a Fedora 13 remote desktop the keyboard
> repeats at random and the shift keys are ineffective.
> 
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1. enable remote desktop
> 2. Access with client
> 3. test keyboard

Would it be possible to tell me which VNC server you use, please? It seems this is a bug in the /usr/bin/krfb utility (part of the kdenetwork package), not in the /usr/bin/Xvnc (part of tigervnc-server package).

Comment 3 Gary Baribault 2010-07-12 15:24:56 UTC
since the problem is essentially the same if i use krdc on linux or vncclient on windows to access the shared desktop, i,m 99 percent sure that the problem is not krdc but is rather xvnc.

Comment 4 Adam Tkac 2010-07-13 11:22:18 UTC
After inspection this is a problem in the KDE's /usr/bin/krfb server (note krdc (client) != krfb (server)). When I press, for example, "shift+a" then I see "a" in the terminal, instead of "A".

As a temporary workaround you might consider to use different VNC server than krfb, for example /usr/bin/x0vncserver from the tigervnc-server package:

1. run /usr/bin/vncpasswd and setup password for VNC session
2. in KDE session run /usr/bin/x0vncserver -PasswordFile=/home/<your_login>/.vnc/passwd (make sure you have KDE remote desktop disabled and "krfb" process doesn't run)
3. connect to the machine with your favourite VNC viewer (vncviewer/vinagre/krdc)

Reassigning to kdenetwork for further inspection.

Comment 5 Bryan Sutherland 2010-09-07 18:38:11 UTC
Hello, It looks like this one is fixed upstream at http://bugs.kde.org/show_bug.cgi?id=182073 with the most recent commits.

Hope to see this one patched soon.

Cheers

Comment 6 Rex Dieter 2010-09-08 17:09:20 UTC
Fix is included in kde-4.5

Else, we can consider backporting the relatively small patch for 4.4,

http://websvn.kde.org/?view=revision&revision=1164724

Comment 7 Orion Poplawski 2010-09-28 14:23:36 UTC
What is the ETA on 4.5 in F13?  If not soon, perhaps we can get a backport?  I could build and push if needed.

Comment 8 Rex Dieter 2010-09-28 14:31:42 UTC
There's no firm eta, though I'm hopeful that with 4.5.2 landing next week, we'll be *very* close.

If you want to go ahead and help with backporting in the meantime, go for it.

Comment 9 Than Ngo 2010-10-05 14:29:39 UTC
we plan to do kde-4.5.2 update for f13. imo it's not worth backporting the fix.

Comment 10 Fedora Update System 2010-10-24 19:02:15 UTC
akonadi-1.4.0-3.fc13,attica-0.1.4-1.fc13,kde-l10n-4.5.2-1.fc13,kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2,kde-plasma-yawp-0.3.5-2.fc13,kdeaccessibility-4.5.2-1.fc13,kdeadmin-4.5.2-1.fc13,kdeartwork-4.5.2-1.fc13,kdebase-4.5.2-2.fc13,kdebase-runtime-4.5.2-3.fc13,kdebase-workspace-4.5.2-3.fc13,kdebindings-4.5.2-2.fc13,kdeedu-4.5.2-2.fc13,kdegames-4.5.2-1.fc13,kdegraphics-4.5.2-4.fc13,kdelibs-4.5.2-7.fc13,kdemultimedia-4.5.2-1.fc13,kdenetwork-4.5.2-1.fc13,kdepimlibs-4.5.2-1.fc13,kdeplasma-addons-4.5.2-1.fc13,kdesdk-4.5.2-1.fc13,kdetoys-4.5.2-1.fc13,kdeutils-4.5.2-1.fc13,oxygen-icon-theme-4.5.2-1.fc13,soprano-2.5.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/akonadi-1.4.0-3.fc13,attica-0.1.4-1.fc13,kde-l10n-4.5.2-1.fc13,kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2,kde-plasma-yawp-0.3.5-2.fc13,kdeaccessibility-4.5.2-1.fc13,kdeadmin-4.5.2-1.fc13,kdeartwork-4.5.2-1.fc13,kdebase-4.5.2-2.fc13,kdebase-runtime-4.5.2-3.fc13,kdebase-workspace-4.5.2-3.fc13,kdebindings-4.5.2-2.fc13,kdeedu-4.5.2-2.fc13,kdegames-4.5.2-1.fc13,kdegraphics-4.5.2-4.fc13,kdelibs-4.5.2-7.fc13,kdemultimedia-4.5.2-1.fc13,kdenetwork-4.5.2-1.fc13,kdepimlibs-4.5.2-1.fc13,kdeplasma-addons-4.5.2-1.fc13,kdesdk-4.5.2-1.fc13,kdetoys-4.5.2-1.fc13,kdeutils-4.5.2-1.fc13,oxygen-icon-theme-4.5.2-1.fc13,soprano-2.5.2-1.fc13

Comment 11 Fedora Update System 2010-10-27 22:44:04 UTC
akonadi-1.4.0-3.fc13, attica-0.1.4-1.fc13, kde-l10n-4.5.2-1.fc13, kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2, kde-plasma-yawp-0.3.5-2.fc13, kdeaccessibility-4.5.2-1.fc13, kdeadmin-4.5.2-1.fc13, kdeartwork-4.5.2-1.fc13, kdebase-4.5.2-2.fc13, kdebase-runtime-4.5.2-3.fc13, kdebase-workspace-4.5.2-3.fc13, kdebindings-4.5.2-2.fc13, kdeedu-4.5.2-2.fc13, kdegames-4.5.2-1.fc13, kdegraphics-4.5.2-4.fc13, kdelibs-4.5.2-7.fc13, kdemultimedia-4.5.2-1.fc13, kdenetwork-4.5.2-1.fc13, kdepimlibs-4.5.2-1.fc13, kdeplasma-addons-4.5.2-1.fc13, kdesdk-4.5.2-1.fc13, kdetoys-4.5.2-1.fc13, kdeutils-4.5.2-1.fc13, oxygen-icon-theme-4.5.2-1.fc13, soprano-2.5.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update akonadi attica kde-l10n kde-plasma-networkmanagement kde-plasma-yawp kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdegraphics kdelibs kdemultimedia kdenetwork kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils oxygen-icon-theme soprano'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/akonadi-1.4.0-3.fc13,attica-0.1.4-1.fc13,kde-l10n-4.5.2-1.fc13,kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2,kde-plasma-yawp-0.3.5-2.fc13,kdeaccessibility-4.5.2-1.fc13,kdeadmin-4.5.2-1.fc13,kdeartwork-4.5.2-1.fc13,kdebase-4.5.2-2.fc13,kdebase-runtime-4.5.2-3.fc13,kdebase-workspace-4.5.2-3.fc13,kdebindings-4.5.2-2.fc13,kdeedu-4.5.2-2.fc13,kdegames-4.5.2-1.fc13,kdegraphics-4.5.2-4.fc13,kdelibs-4.5.2-7.fc13,kdemultimedia-4.5.2-1.fc13,kdenetwork-4.5.2-1.fc13,kdepimlibs-4.5.2-1.fc13,kdeplasma-addons-4.5.2-1.fc13,kdesdk-4.5.2-1.fc13,kdetoys-4.5.2-1.fc13,kdeutils-4.5.2-1.fc13,oxygen-icon-theme-4.5.2-1.fc13,soprano-2.5.2-1.fc13

Comment 12 Fedora Update System 2010-10-30 23:45:43 UTC
akonadi-1.4.0-3.fc13, attica-0.1.4-1.fc13, kde-l10n-4.5.2-1.fc13, kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2, kde-plasma-yawp-0.3.5-2.fc13, kdeaccessibility-4.5.2-1.fc13, kdeadmin-4.5.2-1.fc13, kdeartwork-4.5.2-1.fc13, kdebase-4.5.2-2.fc13, kdebase-runtime-4.5.2-3.fc13, kdebase-workspace-4.5.2-3.fc13, kdebindings-4.5.2-2.fc13, kdeedu-4.5.2-2.fc13, kdegames-4.5.2-1.fc13, kdegraphics-4.5.2-4.fc13, kdelibs-4.5.2-7.fc13, kdemultimedia-4.5.2-1.fc13, kdenetwork-4.5.2-1.fc13, kdepimlibs-4.5.2-1.fc13, kdeplasma-addons-4.5.2-1.fc13, kdesdk-4.5.2-1.fc13, kdetoys-4.5.2-1.fc13, kdeutils-4.5.2-1.fc13, oxygen-icon-theme-4.5.2-1.fc13, soprano-2.5.2-1.fc13, digikam-1.5.0-1.fc13, kphotoalbum-4.1.1-6.fc13, themonospot-gui-qt-0.1.3-7.fc13, kcm-gtk-0.5.3-5.fc13, kcm_touchpad-0.3.1-3.fc13, kdebase3-3.5.10-17.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update akonadi attica kde-l10n kde-plasma-networkmanagement kde-plasma-yawp kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdegraphics kdelibs kdemultimedia kdenetwork kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils oxygen-icon-theme soprano digikam kphotoalbum themonospot-gui-qt kcm-gtk kcm_touchpad kdebase3'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/digikam-1.5.0-1.fc13,kphotoalbum-4.1.1-6.fc13,themonospot-gui-qt-0.1.3-7.fc13,kcm-gtk-0.5.3-5.fc13,kcm_touchpad-0.3.1-3.fc13,kdebase3-3.5.10-17.fc13,akonadi-1.4.0-3.fc13,attica-0.1.4-1.fc13,kde-l10n-4.5.2-1.fc13,kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2,kde-plasma-yawp-0.3.5-2.fc13,kdeaccessibility-4.5.2-1.fc13,kdeadmin-4.5.2-1.fc13,kdeartwork-4.5.2-1.fc13,kdebase-4.5.2-2.fc13,kdebase-runtime-4.5.2-3.fc13,kdebase-workspace-4.5.2-3.fc13,kdebindings-4.5.2-2.fc13,kdeedu-4.5.2-2.fc13,kdegames-4.5.2-1.fc13,kdegraphics-4.5.2-4.fc13,kdelibs-4.5.2-7.fc13,kdemultimedia-4.5.2-1.fc13,kdenetwork-4.5.2-1.fc13,kdepimlibs-4.5.2-1.fc13,kdeplasma-addons-4.5.2-1.fc13,kdesdk-4.5.2-1.fc13,kdetoys-4.5.2-1.fc13,kdeutils-4.5.2-1.fc13,oxygen-icon-theme-4.5.2-1.fc13,soprano-2.5.2-1.fc13

Comment 13 Fedora Update System 2010-11-03 21:09:19 UTC
akonadi-1.4.0-3.fc13, attica-0.1.4-1.fc13, kde-l10n-4.5.2-1.fc13, kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2, kde-plasma-yawp-0.3.5-2.fc13, kdeaccessibility-4.5.2-1.fc13, kdeadmin-4.5.2-1.fc13, kdeartwork-4.5.2-1.fc13, kdebase-4.5.2-2.fc13, kdebase-runtime-4.5.2-3.fc13, kdebase-workspace-4.5.2-3.fc13, kdebindings-4.5.2-2.fc13, kdeedu-4.5.2-2.fc13, kdegames-4.5.2-1.fc13, kdegraphics-4.5.2-4.fc13, kdemultimedia-4.5.2-1.fc13, kdenetwork-4.5.2-1.fc13, kdepimlibs-4.5.2-1.fc13, kdeplasma-addons-4.5.2-1.fc13, kdesdk-4.5.2-1.fc13, kdetoys-4.5.2-1.fc13, kdeutils-4.5.2-1.fc13, oxygen-icon-theme-4.5.2-1.fc13, soprano-2.5.2-1.fc13, kphotoalbum-4.1.1-6.fc13, themonospot-gui-qt-0.1.3-7.fc13, kcm-gtk-0.5.3-5.fc13, kcm_touchpad-0.3.1-3.fc13, kdebase3-3.5.10-17.fc13, digikam-1.5.0-1.fc13.1, kdelibs-4.5.2-8.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update akonadi attica kde-l10n kde-plasma-networkmanagement kde-plasma-yawp kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdegraphics kdemultimedia kdenetwork kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils oxygen-icon-theme soprano kphotoalbum themonospot-gui-qt kcm-gtk kcm_touchpad kdebase3 digikam kdelibs'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/digikam-1.5.0-1.fc13.1,kphotoalbum-4.1.1-6.fc13,themonospot-gui-qt-0.1.3-7.fc13,kcm-gtk-0.5.3-5.fc13,kcm_touchpad-0.3.1-3.fc13,kdebase3-3.5.10-17.fc13,akonadi-1.4.0-3.fc13,attica-0.1.4-1.fc13,kde-l10n-4.5.2-1.fc13,kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2,kde-plasma-yawp-0.3.5-2.fc13,kdeaccessibility-4.5.2-1.fc13,kdeadmin-4.5.2-1.fc13,kdeartwork-4.5.2-1.fc13,kdebase-4.5.2-2.fc13,kdebase-runtime-4.5.2-3.fc13,kdebase-workspace-4.5.2-3.fc13,kdebindings-4.5.2-2.fc13,kdeedu-4.5.2-2.fc13,kdegames-4.5.2-1.fc13,kdegraphics-4.5.2-4.fc13,kdelibs-4.5.2-8.fc13,kdemultimedia-4.5.2-1.fc13,kdenetwork-4.5.2-1.fc13,kdepimlibs-4.5.2-1.fc13,kdeplasma-addons-4.5.2-1.fc13,kdesdk-4.5.2-1.fc13,kdetoys-4.5.2-1.fc13,kdeutils-4.5.2-1.fc13,oxygen-icon-theme-4.5.2-1.fc13,soprano-2.5.2-1.fc13

Comment 14 Fedora Update System 2010-11-04 23:37:31 UTC
akonadi-1.4.0-3.fc13, attica-0.1.4-1.fc13, kde-l10n-4.5.2-1.fc13, kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2, kde-plasma-yawp-0.3.5-2.fc13, kdeaccessibility-4.5.2-1.fc13, kdeadmin-4.5.2-1.fc13, kdeartwork-4.5.2-1.fc13, kdebase-4.5.2-2.fc13, kdebase-runtime-4.5.2-3.fc13, kdebase-workspace-4.5.2-3.fc13, kdebindings-4.5.2-2.fc13, kdeedu-4.5.2-2.fc13, kdegames-4.5.2-1.fc13, kdegraphics-4.5.2-4.fc13, kdemultimedia-4.5.2-1.fc13, kdenetwork-4.5.2-1.fc13, kdepimlibs-4.5.2-1.fc13, kdeplasma-addons-4.5.2-1.fc13, kdesdk-4.5.2-1.fc13, kdetoys-4.5.2-1.fc13, kdeutils-4.5.2-1.fc13, oxygen-icon-theme-4.5.2-1.fc13, soprano-2.5.2-1.fc13, kphotoalbum-4.1.1-6.fc13, themonospot-gui-qt-0.1.3-7.fc13, kcm-gtk-0.5.3-5.fc13, kcm_touchpad-0.3.1-3.fc13, kdebase3-3.5.10-17.fc13, digikam-1.5.0-1.fc13.1, kdelibs-4.5.2-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.